Skip to navigation

Upload employee compliance document

Uploads a compliance document file against the specified document_id for an EOR employee.

Token scopes: worker:write

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

document_idstringRequiredformat: "uuid"
Unique identifier for a compliance document in Deel.

Request

The employee compliance document data to upload
filefileOptional

The employee compliance document to upload. Accepted formats: PNG, JPG, JPEG, HEIC, PDF.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error